local Srendarr = _G['Srendarr']
local L = {}

------------------------------------------------------------------------------------------------------------------
-- English (en)
-- Format and phrasing by Phinix
------------------------------------------------------------------------------------------------------------------

L.Srendarr									= "|c67b1e9S|c4779ce'rendarr|r"
L.Srendarr_Basic							= "S'rendarr"
L.Usage										= "|c67b1e9S|c4779ce'rendarr|r - Usage: /srendarr lock|unlock to toggle display window movement."
L.CastBar									= "Cast Bar"
L.Sound_DefaultProc 						= "Srendarr (Default Proc)"
L.ToggleVisibility							= "Toggle Srendarr Visibility"
L.UpdateGearSets							= "Update Equipped Gear Sets"

-- time format						
L.Time_Tenths								= "%.1fs"
L.Time_TenthsNS								= "%.1f"
L.Time_Seconds								= "%ds"
L.Time_SecondsNS							= "%d"
L.Time_Minutes								= "%dm"
L.Time_Hours								= "%dh"
L.Time_Days									= "%dd"

-- aura grouping
L.Group_Displayed_Here						= "Displayed Groups"
L.Group_Displayed_None						= "None"
L.Group_Player_Short						= "Your Short Buffs"
L.Group_Player_Long							= "Your Long Buffs"
L.Group_Player_Major						= "Your Major Buffs"
L.Group_Player_Minor						= "Your Minor Buffs"
L.Group_Player_Toggled						= "Your Toggled Buffs"
L.Group_Player_Ground						= "Your Ground AOE"
L.Group_Player_Enchant						= "Your Enchant Procs"
L.Group_Player_Cooldowns					= "Your Proc Cooldowns"
L.Group_Player_CABar						= "Cooldown Action Bar"
L.Group_Player_Passive						= "Your Passives"
L.Group_Player_Debuff						= "Your Debuffs"
L.Group_Target_Buff							= "Target's Buffs"
L.Group_Target_Debuff						= "Target's Debuffs"
L.Group_ProminentType						= "Prominent Type"
L.Group_ProminentTypeTip					= "Select the type of the aura to watch for (buff, debuff)."
L.Group_ProminentTarget						= "Prominent Target"
L.Group_ProminentTargetTip					= "Select the target of the aura to watch for (player, target, AOE)."
L.Group_GroupBuffs							= "Group Buff Frames"
L.Group_RaidBuffs							= "Raid Buff Frames"
L.Group_GroupDebuffs						= "Group Debuff Frames"
L.Group_RaidDebuffs							= "Raid Debuff Frames"
L.Group_Cooldowns							= "Cooldown Tracker"
L.Group_CooldownBar							= "Active Cooldown Bar"
L.Group_Cooldown							= "Cooldown"

-- whitelist & blacklist control
L.Prominent_RemoveByRecent					= "removed from Prominent due to wrong classification, should be type"
L.Prominent_AuraAddSuccess					= "added to Frame"
L.Prominent_AuraAddAs						= "as"
L.Prominent_AuraAddFail						= "was not found and could not be added."
L.Prominent_AuraAddFailByID					= "is not a valid abilityID."
L.Prominent_AuraAddFailByName				= "Missing or incorrect parameters."
L.Prominent_AuraRemoveFail					= "To remove a prominent aura you must first click a name from a Modify Aura pop-out menu. Do not modify any values after clicking an aura or removal will fail."
L.Prominent_AuraRemoveSuccess				= "has been removed from prominent list."
L.Blacklist_AuraAddSuccess					= "has been added to the Blacklist and will no longer be displayed."
L.Blacklist_AuraAddFail						= "was not found and could not be added to the Blacklist."
L.Blacklist_AuraAddFailByID					= "is not a valid abilityID and could not be added to the Blacklist."
L.Blacklist_AuraRemoved						= "has been removed from the Blacklist."
L.Group_AuraAddSuccess						= "has been added to the Group Buff Whitelist."
L.Group_AuraAddSuccess2						= "has been added to the Group Debuff Whitelist."
L.Group_AuraRemoved							= "has been removed from the Group Buff Whitelist."
L.Group_AuraRemoved2						= "has been removed from the Group Debuff Whitelist."

-- settings: base
L.Show_Example_Auras						= "Example Auras"
L.Show_Example_Castbar						= "Example Castbar"

L.SampleAura_PlayerTimed					= "Player Timed"
L.SampleAura_PlayerToggled					= "Player Toggled"
L.SampleAura_PlayerPassive					= "Player Passive"
L.SampleAura_PlayerDebuff					= "Player Debuff"
L.SampleAura_PlayerGround					= "Ground Effect"
L.SampleAura_PlayerMajor					= "Major Effect"
L.SampleAura_PlayerMinor					= "Minor Effect"
L.SampleAura_TargetBuff						= "Target Buff"
L.SampleAura_TargetDebuff					= "Target Debuff"

L.TabButton1								= "General"
L.TabButton2								= "Filters"
L.TabButton3								= "Cast Bar"
L.TabButton4								= "Aura Display"
L.TabButton5								= "Profiles"

L.TabHeader1								= "General Settings"
L.TabHeader2								= "Filter Settings"
L.TabHeader3								= "Cast Bar Settings"
L.TabHeader5								= "Profile Settings"
L.TabHeaderDisplay							= "Display Window Settings"

-- settings: generic
L.GenericSetting_ClickToViewAuras			= "|cffd100Click To View Auras|r"
L.GenericSetting_NameFont					= "Name Text Font"
L.GenericSetting_NameStyle					= "Name Text Color & Style"
L.GenericSetting_NameSize					= "Name Text Size"
L.GenericSetting_TimerFont					= "Timer Text Font"
L.GenericSetting_TimerStyle					= "Timer Font Color & Style"
L.GenericSetting_TimerSize					= "Timer Text Size"
L.GenericSetting_BarWidth					= "Bar Width"
L.GenericSetting_BarWidthTip				= "Set how wide timer bars should be when displayed."


-- ----------------------------
-- SETTINGS: DROPDOWN ENTRIES
-- ----------------------------
L.DropGroup_1								= "In Display Window [|cffd1001|r]"
L.DropGroup_2								= "In Display Window [|cffd1002|r]"
L.DropGroup_3								= "In Display Window [|cffd1003|r]"
L.DropGroup_4								= "In Display Window [|cffd1004|r]"
L.DropGroup_5								= "In Display Window [|cffd1005|r]"
L.DropGroup_6								= "In Display Window [|cffd1006|r]"
L.DropGroup_7								= "In Display Window [|cffd1007|r]"
L.DropGroup_8								= "In Display Window [|cffd1008|r]"
L.DropGroup_9								= "In Display Window [|cffd1009|r]"
L.DropGroup_10								= "In Display Window [|cffd10010|r]"
L.DropGroup_11								= "In Display Window [|cffd10011|r]"
L.DropGroup_12								= "In Display Window [|cffd10012|r]"
L.DropGroup_13								= "In Display Window [|cffd10013|r]"
L.DropGroup_14								= "In Display Window [|cffd10014|r]"
L.DropGroup_None							= "Do Not Display"

L.DropStyle_Full							= "Full Display"
L.DropStyle_Icon							= "Icon Only"
L.DropStyle_Mini							= "Minimal Display"

L.DropGrowth_Up								= "Up"
L.DropGrowth_Down							= "Down"
L.DropGrowth_Left							= "Left"
L.DropGrowth_Right							= "Right"
L.DropGrowth_CenterUp						= "Centered (Up)"
L.DropGrowth_CenterDown						= "Centered (Down)"
L.DropGrowth_CenterLeft						= "Centered (Left)"
L.DropGrowth_CenterRight					= "Centered (Right)"

L.DropSort_NameAsc							= "Ability Name (Asc)"
L.DropSort_TimeAsc							= "Remaining Time (Asc)"
L.DropSort_CastAsc							= "Casting Order (Asc)"
L.DropSort_NameDesc							= "Ability Name (Desc)"
L.DropSort_TimeDesc							= "Remaining Time (Desc)"
L.DropSort_CastDesc							= "Casting Order (Desc)"

L.DropTimer_Above							= "Above Icon"
L.DropTimer_Below							= "Under Icon"
L.DropTimer_Over							= "Over Icon"
L.DropTimer_Hidden							= "Hidden"

L.DropAuraClassBuff							= "Buff"
L.DropAuraClassDebuff						= "Debuff"
L.DropAuraTargetPlayer						= "Player"
L.DropAuraTargetTarget						= "Target"
L.DropAuraTargetAOE							= "AOE"
L.DropAuraClassDefault						= "No Override"

L.DropGroupMode1							= "Default"
L.DropGroupMode2							= "Foundry Tactical Combat"
L.DropGroupMode3							= "Lui Extended"
L.DropGroupMode4							= "Bandits User Interface"
L.DropGroupMode5							= "AUI"


-- ------------------------
-- SETTINGS: GENERAL
-- ------------------------
-- general (general options)
L.General_GeneralOptions					= "General Options"
L.General_GeneralOptionsDesc				= "Various general options that control the addon's behavior."
L.General_UnlockDesc						= "Unlock to allow aura display windows to be dragged using the mouse. Reset reverts all position changes since the last reload and Defaults will return all windows to their default location."
L.General_UnlockLock						= "Lock"
L.General_UnlockUnlock						= "Unlock"
L.General_UnlockDefaults					= "Defaults"
L.General_UnlockDefaultsAgain				= "Confirm Defaults"
L.General_UnlockReset						= "Reset"
L.General_CombatOnly						= "Only Show During Combat"
L.General_CombatOnlyTip						= "Set whether aura windows are only visible when engaged in combat."
L.General_PassivesAlways					= "Always Show Passives"
L.General_PassivesAlwaysTip					= "Show passive/long duration auras even when not in combat and above option is checked."
L.HideOnDeadTargets							= "Hide On Dead Targets"
L.HideOnDeadTargetsTip						= "Set whether to hide all auras on dead targets. (Will hide potentially useful things like Repentance use debuff.)"
L.PVPJoinTimer								= "PVP Join Timer"
L.PVPJoinTimerTip							= "The game blocks addon-registered events while initializing PVP. This is the number of seconds that Srendarr will wait for this to complete, which may depend on your CPU and/or server lag. If auras disappear when joining or leaving PVP, set this value higher."
L.ShowTenths								= "Tenths of Seconds"
L.ShowTenthsTip								= "Show tenths next to timers with only seconds remaining. Slider sets at how many seconds remaining below which tenths will begin showing. Setting this value to 0 will disable showing tenths."
L.ShowSSeconds								= "Show 's' Seconds"
L.ShowSSecondsTip							= "Show the letter 's' after timers with only seconds remaining. Timers that show minutes and seconds are not effected by this."
L.ShowSeconds								= "Show Seconds Remaining"
L.ShowSecondsTip							= "Show the seconds remaining next to timers that show minutes. Timers that show hours are not effected by this."
L.General_ConsolidateEnabled				= "Consolidate Multi-Auras"
L.General_ConsolidateEnabledTip				= "Certain abilities like Templar's Restoring Aura have multiple buff effects, and these will normally all show in your selected aura window with the same icon, leading to clutter. This option consolidates these into a single aura. W.I.P."
L.General_AlternateEnchantIcons				= "Alternate Enchant Icons"
L.General_AlternateEnchantIconsTip			= "Enable: Use a custom set of icons for enchant effects. Disable: Use default game enchant icons."
L.General_PassiveEffectsAsPassive			= "Passive Major & Minor Buffs"
L.General_PassiveEffectsAsPassiveTip		= "Set whether Major & Minor Buffs that are passive (no duration) are grouped along with other passive auras on the player according to the 'Your Passives' setting.\n\nIf not enabled, all Major & Minor Buffs will be grouped together regardless of whether they are timed or passive."
L.General_AuraFadeout						= "Aura Fadeout Time"
L.General_AuraFadeoutTip					= "Set how long an expired aura should take to fade out of view. With a setting of 0, Auras will disappear as soon as they expire without any fadeout."
L.General_ShortThreshold					= "Short Buffs Threshold"
L.General_ShortThresholdTip					= "Set the minimum duration of player buffs (in seconds) that will be considered part of the 'Long Buffs' group. Any buffs below this threshold will be part of the 'Short Buffs' group instead."
L.General_ProcEnableAnims					= "Enable Bar Proc Animations"
L.General_ProcEnableAnimsTip				= "Set whether to show an animation on the ActionBar for abilities that have proc'd and now have a special action to perform. Abilites that can have procs include:\n   Crystal Fragments\n   Grim Focus & It's Morphs\n   Flame Lash\n   Deadly Cloak"
L.General_GrimProcAnims						= "Grim Focus Proc Animations"
L.General_GrimProcAnimsTip					= "Set whether to show an animation on the aura itself when Nightblade Grim Dawn or its morphs have enough stacks to cast the specral bow."
L.General_GearProcAnims						= "Cooldown Action Bar Animations"
L.General_GearProcAnimsTip					= "Set whether to show an animation on the Cooldown Action Bar when gear abilities are off cooldown and ready to proc. (Must assign Cooldown Action Bar to a frame in Aura Control - Display Groups.)"
L.General_gearProcCDText					= "Cooldown Action Bar Duration"
L.General_gearProcCDTextTip					= "Show the cooldown duration on the Cooldown Action Bar next to the set proc name of gear abilities that are ready to be used."
L.General_ProcEnableAnimsWarn				= "If you are using a mod that modifies or hides the default ActionBar, animations may not display."
L.General_ProcPlaySound						= "Play Sound On Proc"
L.General_ProcPlaySoundTip					= "Set a sound to play when an ability procs. A settings of None will prevent any audio alert of your procs."
L.General_ModifyVolume						= "Modify Proc Volume"
L.General_ModifyVolumeTip					= "Enable use of below Proc Volume slider."
L.General_ProcVolume						= "Proc Sound Volume"
L.General_ProcVolumeTip						= "Temporarily overrides Audio Effects Volume when playing the Srendarr proc sound."
L.General_GroupAuraMode						= "Group Aura Mode"
L.General_GroupAuraModeTip					= "Select the support module for the group unit frames you currently use. Default is the game's normal frames."
L.General_RaidAuraMode						= "Raid Aura Mode"
L.General_RaidAuraModeTip					= "Select the support module for the raid unit frames you currently use. Default is the game's normal frames."

-- general (display groups)
L.General_ControlHeader						= "Aura Control - Display Groups"
L.General_ControlBaseTip					= "Set which display window to show each Aura Group in, or hide them from display entirely. Note: Enabling specific Filters or adding an aura to the Blacklist or Whitelists will override these settings."
L.General_ControlShortTip					= "This Aura Group contains all buffs on yourself with a duration below the 'Short Buff Threshold'."
L.General_ControlLongTip 					= "This Aura Group contains all buffs on yourself with a duration above the 'Short Buff Threshold'."
L.General_ControlMajorTip					= "This Aura Group contains all beneficial Major Effects that are active on yourself (eg. Major Sorcery). Detrimental Major Effects are part of the Debuffs group."
L.General_ControlMinorTip					= "This Aura Group contains all beneficial Minor Effects that are active on yourself (eg. Minor Sorcery). Detrimental Minor Effects are part of the Debuffs group."
L.General_ControlToggledTip					= "This Aura Group contains all toggled buffs that are active on yourself."
L.General_ControlGroundTip					= "This Aura Group contains all ground Areas Of Effect (AOE) that are cast by yourself."
L.General_ControlEnchantTip					= "This Aura Group contains all Enchant Effects that are active on yourself (eg. Hardening, Berserker)."
L.General_ControlGearTip					= "This Aura Group contains all normally invisible Gear Procs that are active on yourself (eg. Bloodspawn)."
L.General_ControlCooldownTip				= "This Aura Group tracks the internal reuse cooldown of your Gear Procs."
L.Group_Player_CABarTip						= "Track your equipped cooldowns and be notified when they are ready to proc."
L.General_ControlPassiveTip					= "This Aura Group contains all passive effects that are active on yourself."
L.General_ControlDebuffTip					= "This Aura Group contains all hostile debuffs active on yourself cast by other mobs, players, or the enviroment."
L.General_ControlTargetBuffTip				= "This Aura Group contains all buffs on your target, whether they are timed, passive or toggled, unless specially filtered."
L.General_ControlTargetDebuffTip 			= "This Aura Group contains all debuffs applied to your target."
L.General_ControlProminentFrame				= "Prominent Frame"
L.General_ControlProminentFrameTip			= "Select the frame in which to display this prominent aura. This will override normal filter categories that would otherwise apply to the configured aura."

-- general (debug)
L.General_DebugOptions						= "Debug Options"
L.General_DebugOptionsDesc					= "Help track down missing or incorrect auras!"
L.General_DisplayAbilityID					= "Enable Display Of Aura's AbilityID"
L.General_DisplayAbilityIDTip				= "Set whether to display the internal abilityID of all auras. This can be used to find the exact ID of auras you may want to Blacklist from display or add to the Aura Whitelist display group.\n\nThis option can also be used to assist in fixing inaccurate aura display by reporting the errant ID's to the addon author."
L.General_ShowCombatEvents					= "Show All Combat Events"
L.General_ShowCombatEventsTip				= "When enabled the abilityID and Name of all effects (buffs and debuffs) caused and received by the player will show in chat, followed by information about the source and target, and the event result code (gained, lost, etc.).\n\nTo prevent chat flooding and ease review, each ability will only display once until reload. HOWEVER, you may type /sdbclear at any time to manually reset the cache.\n\nWARNING: Leaving this option on will decrease game performance in large groups. Only enable when needed for testing."
L.General_ShowCombatEventsH1				= "WARNING:"
L.General_ShowCombatEventsH2				= "Leaving "
L.General_ShowCombatEventsH3				= " on at all times will decrease game performance in large groups. Only enabled when needed for testing."
L.General_AllowManualDebug					= "Allow Manual Debug Edit"
L.General_AllowManualDebugTip				= "When enabled you can type /sdbadd XXXXXX or /sdbremove XXXXXX to add/remove a single ID from the flood filter. Additionally, typing /sdbignore XXXXXX will always let select ID's you are looking for past the flood filter. Typing /sdbclear will still reset the filter completely."
L.General_DisableSpamControl				= "Disable Flood Control"
L.General_DisableSpamControlTip				= "When enabled the combat event filter will print the same event every time it occurs without having to type /sdbclear or reload to clear the database."
L.General_VerboseDebug						= "Show Verbose Debug"
L.General_VerboseDebugTip					= "Show the entire data block received from EVENT_COMBAT_EVENT and the ability icon path for every ID that passes the above filters in a (mostly) human readable format (this will quickly fill your chat log)."
L.General_OnlyPlayerDebug					= "Only Player Events"
L.General_OnlyPlayerDebugTip				= "Only show debug combat events that are the result of player actions."
L.General_ShowNoNames						= "Show Nameless Events"
L.General_ShowNoNamesTip					= "When enabled the combat event filter shows event ID's even when they have no name text (generally not needed)."
L.General_ShowSetIds						= "Show Set ID's On Equip"
L.General_ShowSetIdsTip						= "When enabled shows the name and setID of all equipped set gear when changing any piece."


-- ------------------------
-- SETTINGS: FILTERS
-- ------------------------
L.FilterHeader								= "Filter Lists and Toggles"
L.Filter_Desc								= "Here you can blacklist auras, whitelist buffs or debuffs to appear as prominent and assign them to a custom window, or toggle filters for showing or hiding different types of effects."
L.Filter_RemoveSelected						= "Remove Selected"
L.Filter_ListAddWarn						= "When adding an aura by name, it requires scanning all auras in the game to find the ability's internal ID number(s). This can cause the game to hang for a moment while searching."
L.FilterToggle_Desc							= "For these filters, enabling one prevents the display of that category (whitelisted prominent auras ignore these filters)."

L.Filter_PlayerHeader						= "Aura Filters For Player"
L.Filter_TargetHeader						= "Aura Filters For Target"
L.Filter_OnlyPlayerDebuffs					= "Only Player Debuffs"
L.Filter_OnlyPlayerDebuffsTip				= "Prevent the display of debuff auras on the target that were not created by the player."
L.Filter_OnlyTargetMajor					= "Only Target Major"
L.Filter_OnlyTargetMajorTip					= "Show ONLY Major effect debuffs on the target. All other target debuffs will not be shown."

-- filters (blacklist auras)
L.Filter_BlacklistHeader					= "Global Aura Blacklist"
L.Filter_BlacklistDesc						= "Specific auras can be Blacklisted here to never appear in any aura tracking window."
L.Filter_BlacklistAdd						= "Add Blacklist Aura"
L.Filter_BlacklistAddTip					= "The aura you want to blacklist must have its name entered exactly as it appears ingame, or you may enter the numerical abilityID (if known) to block a specific aura.\n\nPress enter to add the input aura to the blacklist."
L.Filter_BlacklistList						= "Current Blacklisted Auras"
L.Filter_BlacklistListTip					= "List of all auras currently blacklisted. To remove an aura from the blacklist, select it from the list and click the Remove button."

-- filters (prominent auras)
L.Filter_ProminentHead						= "Prominent Aura Assignments"
L.Filter_ProminentHeadTip					= "Auras can be assigned to appear in specific frames for specific types (buff, debuff, etc.) on specific targets (player, target, group, etc.)."
L.Filter_ProminentOnlyPlayer				= "Only Player Cast"
L.Filter_ProminentOnlyPlayerTip				= "Only watch for select aura if cast by the player."
L.Filter_ProminentAddRecent					= "Add Recently Seen Aura:"
L.Filter_ProminentAddRecentTip				= "Click to show recently detected auras in various categories. Clicking a displayed aura will populate the prominent configuration panel with this data so you can easily add them to a custom display frame."
L.Filter_ProminentResetRecent				= "Reset Recent"
L.Filter_ProminentResetRecentTip			= "Clear the list database of recently detected auras."
L.Filter_ProminentModify					= "Modify Existing Prominent Auras:"
L.Filter_ProminentModifyTip					= "Click to show a list of prominent auras that have been defined for each category. Clicking a displayed aura will populate the prominent configuration panel with this data so you can modify or remove them."
L.Filter_ProminentTypePB					= "Player Buffs"
L.Filter_ProminentTypePD					= "Player Debuffs"
L.Filter_ProminentTypeTB					= "Target Buffs"
L.Filter_ProminentTypeTD					= "Target Debuffs"
L.Filter_ProminentTypeAOE					= "Area Effects"
L.Filter_ProminentResetAll					= "Clear Menus"
L.Filter_ProminentResetAllTip				= "Clear and reset all menu fields on the prominent aura panel."
L.Filter_ProminentTypeGB					= "Group Buffs"
L.Filter_ProminentTypeGD					= "Group Debuffs"
L.Filter_ProminentAdd						= "Add/Update"
L.Filter_ProminentRemove					= "Remove"
L.Filter_ProminentEdit						= "Selected Aura:"
L.Filter_ProminentEditTip1					= "Select an aura from a Recently Seen list to add, or select one from the Existing list to modify."
L.Filter_ProminentEditTip2					= "When adding an aura, it requires scanning all auras in the game to find the ability's internal ID number(s). This can cause the game to hang for a moment while searching."
L.Filter_ProminentShowIDs					= "Show Aura IDs"
L.Filter_ProminentExpert					= "Expert"
L.Filter_ProminentExpertTip					= "Allow manual entry of auras by name or ID, and enable the Remove All function.\n\n|cffffffWARNING:|r DO NOT add auras that already appear in Srendarr (when their category is assigned to a frame) this way. Doing so can cost performance and break things. Add these to a custom frame using a Recently Seen menu instead. Auras that are input as the wrong type will be automatically removed when Srendarr sees the game send them with different parameters.\n\n|cffffffEXPERIMENTAL:|r You can enter aura ID's here that the game AND Srendarr do not track, however there is no guarantee they will work as the game sends zero duration and wrong information sometimes for these. It is better to request Srendarr support be added then to try and force things manually."
L.Filter_ProminentRemoveAll					= "Remove All"
L.Filter_ProminentRemoveAllTip				= "Removes ALL prominent auras for the current active profile. WARNING: If you are using account wide settings this will remove all prominent auras from account wide."
L.Filter_ProminentRemoveConfirm				= "Remove all prominent auras for the current active profile?"
L.Filter_ProminentWaitForSearch				= "Search in progress, please wait."

-- filters (group frame buffs)
L.Filter_GroupBuffHeader					= "Group Buff Assignments"
L.Filter_GroupBuffDesc						= "This list determines what buffs will show next to each player's group or raid frame."
L.Filter_GroupBuffAdd						= "Add Whitelist Group Buff"
L.Filter_GroupBuffAddTip					= "To add a buff aura to track on group frames you must enter its name exactly as it appears in the game. Press enter to add the input aura to the list.\n\nWARNING: Do not enter aura ID here unless it is not normally tracked by the game (enter aura name instead). Auras entered by ID here use Srendarr's fake aura system and will cost performance the more that are entered."
L.Filter_GroupBuffList						= "Current Group Buff Whitelist"
L.Filter_GroupBuffListTip					= "List of all buffs set to appear on group frames. To remove existing auras, select it from the list and use the Remove button below."
L.Filter_GroupBuffsByDuration				= "Exclude Buffs by Duration"
L.Filter_GroupBuffsByDurationTip			= "Only show group buffs with a duration shorter than selected below (in seconds)."
L.Filter_GroupBuffThreshold					= "Buff Duration Threshold"
L.Filter_GroupBuffWhitelistOff				= "Use as Buff Blacklist"
L.Filter_GroupBuffWhitelistOffTip			= "Turn the Group Buff Whitelist into a Blacklist and display ALL auras with a duration EXCEPT those input here."
L.Filter_GroupBuffOnlyPlayer				= "Only Player Group Buffs"
L.Filter_GroupBuffOnlyPlayerTip				= "Only show group buffs that were cast by the player or one of their pets."
L.Filter_GroupBuffsEnabled					= "Enable Group Buffs"
L.Filter_GroupBuffsEnabledTip				= "If disabled then group buffs will not show at all."

-- filters (group frame debuffs)
L.Filter_GroupDebuffHeader					= "Group Debuff Assignments"
L.Filter_GroupDebuffDesc					= "This list determines what debuffs will show next to each player's group or raid frame."
L.Filter_GroupDebuffAdd						= "Add Whitelist Group Debuff"
L.Filter_GroupDebuffAddTip					= "To add a debuff aura to track on group frames you must enter its name exactly as it appears in the game. Press enter to add the input aura to the list.\n\nWARNING: Do not enter aura ID here unless it is not normally tracked by the game (enter aura name instead). Auras entered by ID here use Srendarr's fake aura system and will cost performance the more that are entered."
L.Filter_GroupDebuffList					= "Current Group Debuff Whitelist"
L.Filter_GroupDebuffListTip					= "List of all debuffs set to appear on group frames. To remove existing auras, select it from the list and use the Remove button below."
L.Filter_GroupDebuffsByDuration				= "Exclude Debuffs by Duration"
L.Filter_GroupDebuffsByDurationTip			= "Only show group debuffs with a duration shorter than selected below (in seconds)."
L.Filter_GroupDebuffThreshold				= "Debuff Duration Threshold"
L.Filter_GroupDebuffWhitelistOff			= "Use as Debuff Blacklist"
L.Filter_GroupDebuffWhitelistOffTip			= "Turn the Group Debuff Whitelist into a Blacklist and display ALL auras with a duration EXCEPT those input here."
L.Filter_GroupDebuffsEnabled				= "Enable Group Debuffs"
L.Filter_GroupDebuffsEnabledTip				= "If disabled then group debuffs will not show at all."

-- filters (unit options)
L.Filter_ESOPlus							= "Filter ESO Plus"
L.Filter_ESOPlusPlayerTip					= "Set whether to prevent the display of ESO Plus status on youself."
L.Filter_ESOPlusTargetTip					= "Set whether to prevent the display of ESO Plus status on your target."
L.Filter_BlockPlayerTip						= "Set whether to prevent the display of the 'Brace' toggle while you are blocking."
L.Filter_BlockTargetTip						= "Set whether to prevent the display of the 'Brace' toggle when your opponent is blocking."
L.Filter_MundusBoon							= "Filter Mundus Boons"
L.Filter_MundusBoonPlayerTip				= "Set whether to prevent the display of Mundus Stone boons on youself."
L.Filter_MundusBoonTargetTip				= "Set whether to prevent the display of Mundus Stone boons on your target."
L.Filter_Cyrodiil							= "Filter Cyrodiil Bonuses"
L.Filter_CyrodiilPlayerTip					= "Set whether to prevent the display of buffs provided during Cyrodiil AvA on yourself."
L.Filter_CyrodiilTargetTip					= "Set whether to prevent the display of buffs provided during Cyrodiil AvA on your target."
L.Filter_Disguise							= "Filter Disguises"
L.Filter_DisguisePlayerTip					= "Set whether to prevent the display of active disguises on yourself."
L.Filter_DisguiseTargeTtip					= "Set whether to prevent the display of active disguises on your target."
L.Filter_MajorEffects						= "Filter Major Effects"
L.Filter_MajorEffectsTargetTip				= "Set whether to prevent the display of Major Effects (eg. Major Maim, Major Sorcery) on your target."
L.Filter_MinorEffects						= "Filter Minor Effects"
L.Filter_MinorEffectsTargetTip				= "Set whether to prevent the display of Minor Effects (eg. Minor Maim, Minor Sorcery) on your target."
L.Filter_SoulSummons						= "Filter Soul Summons Cooldown"
L.Filter_SoulSummonsPlayerTip				= "Set whether to prevent the display of the cooldown 'aura' for Soul Summons on yourself."
L.Filter_SoulSummonsTargetTip				= "Set whether to prevent the display of the cooldown 'aura' for Soul Summons on your target."
L.Filter_VampLycan							= "Filter Vampire & Werewolf Effects"
L.Filter_VampLycanPlayerTip					= "Set whether to prevent the display of Vampirism and Lycanthropy buffs on yourself."
L.Filter_VampLycanTargetTip					= "Set whether to prevent the display of Vampirism and Lycanthropy buffs on your target."
L.Filter_VampLycanBite						= "Filter Vampire & Werewolf Bite Timers"
L.Filter_VampLycanBitePlayerTip				= "Set whether to prevent the display of the Vampire and Werewolf bite cooldown timers on yourself."
L.Filter_VampLycanBiteTargetTip				= "Set whether to prevent the display of the Vampire and Werewolf bite cooldown timers on your target."
L.Filter_GroupDurationThreshold				= "Group auras longer than this duration (in seconds) will not be shown."


-- ------------------------
-- SETTINGS: CAST BAR
-- ------------------------
L.CastBar_Enable							= "Enable Cast & Channel Bar"
L.CastBar_EnableTip							= "Set whether to enable a movable casting bar to show progress on abilities that have a cast or channel time before activation."
L.CastBar_Alpha								= "Transparency"
L.CastBar_AlphaTip							= "Set how opaque the cast bar is when visible. A setting of 100 makes the bar fully opaque."
L.CastBar_Scale								= "Scale"
L.CastBar_ScaleTip							= "Set the size of the cast bar as a percentage. A setting of 100 is the default size."

-- cast bar (name)
L.CastBar_NameHeader						= "Cast Ability Name Text"
L.CastBar_NameShow							= "Show Ability Name Text"

-- cast bar (timer)
L.CastBar_TimerHeader						= "Cast Timer Text"
L.CastBar_TimerShow							= "Show Cast Timer Text"

-- cast bar (bar)
L.CastBar_BarHeader							= "Cast Timer Bar"
L.CastBar_BarReverse						= "Reverse Countdown Direction"
L.CastBar_BarReverseTip						= "Set whether to reverse the countdown direction of the cast timer bar making the timer decrease towards the right. In either case, channelled abilities will increase in the opposite direction."
L.CastBar_BarGloss							= "Glossy Bar"
L.CastBar_BarGlossTip						= "Set whether the cast timer bar should be glossy when displayed."
L.CastBar_BarColor							= "Bar Color"
L.CastBar_BarColorTip						= "Set the cast timer bar colors. The left color choice determines the start of the bar (when it begins counting down) and the second the finish of the bar (when it has almost expired)."


-- ------------------------
-- SETTINGS: DISPLAY FRAMES
-- ------------------------
L.DisplayFrame_Alpha						= "Window Transparency"
L.DisplayFrame_AlphaTip						= "Set how opaque this aura window is when visible. A setting of 100 makes the window fully opaque."
L.DisplayFrame_Scale						= "Window Scale"
L.DisplayFrame_ScaleTip						= "Set the size of this aura window as a percentage. A setting of 100 is the default size."

-- display frames (aura)
L.DisplayFrame_AuraHeader					= "Aura Display"
L.DisplayFrame_Style						= "Aura Style"
L.DisplayFrame_StyleTip						= "Set the style which this aura window's auras will display as.\n\n|cffd100Full Display|r - Show abiltiy name and icon, timer bar (can disable) and text.\n\n|cffd100Icon Only|r - Show ability icon and timer text only, this style provides more options for Aura Growth Direction than the others.\n\n|cffd100Minimal Display|r - Show ability name, and a smaller timer bar only."
L.DisplayFrame_AuraCooldown					= "Show Timer Animation"
L.DisplayFrame_AuraCooldownTip				= "Display a timer animation around aura icons. This also makes auras easier to see than the old display mode. Customize using the color settings below."
L.DisplayFrame_AuraBackground				= "Use Icon Background"
L.DisplayFrame_AuraBackgroundTip			= "Display a black background behind aura icon display. Can only be disabled if not using timer animations as this function depends on it to display properly."
L.DisplayFrame_AuraBorder					= "Use Icon Border"
L.DisplayFrame_AuraBorderTip				= "Display the game default style border around the icon when not using Srendarr's black icon background."
L.DisplayFrame_CooldownTimed				= "Color: Timed Buffs & Debuffs"
L.DisplayFrame_CooldownTimedB				= "Color: Timed Buffs"
L.DisplayFrame_CooldownTimedD				= "Color: Timed Debuffs"
L.DisplayFrame_CooldownTimedTip				= "Set the icon timer animation color for auras with a set duration.\n\nLEFT = BUFFS\nRIGHT = DEBUFFS."
L.DisplayFrame_CooldownTimedBTip			= "Set the icon timer animation color for buffs with a set duration."
L.DisplayFrame_CooldownTimedDTip			= "Set the icon timer animation color for debuffs with a set duration."
L.DisplayFrame_Growth						= "Aura Growth Direction"
L.DisplayFrame_GrowthTip					= "Set which direction new auras will grow from the anchor point. For the centered settings, auras will grow either direction from the anchor with order determined by sort option and selected direction (left, right, up, down).\n\nWhen displaying in the |cffd100Full|r or |cffd100Mini|r styles, auras can only grow up or down."
L.DisplayFrame_Padding						= "Aura Growth Padding"
L.DisplayFrame_PaddingTip					= "Set the spacing between each displayed aura."
L.DisplayFrame_Sort							= "Aura Sorting Order"
L.DisplayFrame_SortTip						= "Set how auras are sorted. Either by alphabetical name, remaining duration or by the order in which they were cast; whether this order is ascending or descending can also be set.\n\nWhen sorting by duration, any passives or toggled abilities will be sorted by name and shown closest to the anchor (ascending), or furthest from the anchor (descending), with timed abilities coming before (or after) them."
L.DisplayFrame_Highlight					= "Toggled Aura Icon Highlight"
L.DisplayFrame_HighlightTip					= "Set whether toggled auras have their icon highlighted to help distinguish from passive auras.\n\nNot available in the |cffd100Mini|r style as no icon is shown."
L.DisplayFrame_Tooltips						= "Enable Aura Name Tooltips"
L.DisplayFrame_TooltipsTip					= "Set whether to allow mouseover tooltip display for an aura's name when in the |cffd100Icon Only|r style."
L.DisplayFrame_TooltipsWarn					= "Tooltips must be temporarily disabled for movement of the Display Window, or the tooltips will block movement."
L.DisplayFrame_AuraClassOverride			= "Aura Class Override"
L.DisplayFrame_AuraClassOverrideTip			= "Allows you to make Srendarr treat all timed auras (toggles and passives ignored) in this bar as either buffs or debuffs, regardless of their actual class.\n\nUseful when adding both debuffs and AOE to a window to make both use the same bar and icon animation colors."

-- display frames (group)
L.DisplayFrame_GRX							= "Horizontal Offset"
L.DisplayFrame_GRXTip						= "Adjust the position of the group/raid frame buff icons left and right."
L.DisplayFrame_GRY							= "Vertical Offset"
L.DisplayFrame_GRYTip						= "Adjust the position of the group/raid frame buff icons up and down."

-- display frames (name)
L.DisplayFrame_NameHeader					= "Ability Name Text"

-- display frames (timer)
L.DisplayFrame_TimerHeader					= "Timer Text"
L.DisplayFrame_TimerLocation				= "Timer Text Location"
L.DisplayFrame_TimerLocationTip				= "Set the timer's position for each aura with regards to that aura's icon. A setting of hidden will stop the timer label showing for all auras displayer here.\n\nOnly certain placement options are available depending on the current style."
L.DisplayFrame_TimerHMS						= "Show Minutes for Timers > 1 Hour"
L.DisplayFrame_TimerHMSTip					= "Set whether to also show minutes remaining when a timer is greater than 1 hour."

-- display frames (bar)
L.DisplayFrame_BarHeader					= "Timer Bar"
L.DisplayFrame_HideFullBar					= "Hide Timer Bar"
L.DisplayFrame_HideFullBarTip				= "Hide the bar completely and only display the aura name text next to the icon when in full display mode."
L.DisplayFrame_BarReverse					= "Reverse Countdown Direction"
L.DisplayFrame_BarReverseTip				= "Set whether to reverse the countdown direction of the timer bar making the timer decrease towards the right. In the |cffd100Full|r style this will also position the Aura icon to the right of the bar instead of the left."
L.DisplayFrame_BarGloss						= "Glossy Bars"
L.DisplayFrame_BarGlossTip					= "Set whether the timer bar's should be glossy when displayed."
L.DisplayFrame_BarBuffTimed					= "Color: Timed Buffs"
L.DisplayFrame_BarBuffTimedTip				= "Set the timer bar colors for buff auras with a set duration. The left color choice determines the start of the bar (when it begins counting down) and the second the finish of the bar (when it has almost expired)."
L.DisplayFrame_BarBuffPassive				= "Color: Passive Buffs"
L.DisplayFrame_BarBuffPassiveTip			= "Set the timer bar colors for passive buff auras with no set duration. The left color choice determines the start of the bar (the furthest side from the icon) and the second the finish of the bar (nearest the icon)."
L.DisplayFrame_BarDebuffTimed				= "Color: Timed Debuffs"
L.DisplayFrame_BarDebuffTimedTip			= "Set the timer bar colors for debuff auras with a set duration. The left color choice determines the start of the bar (when it begins counting down) and the second the finish of the bar (when it has almost expired)."
L.DisplayFrame_BarDebuffPassive				= "Color: Passive Debuffs"
L.DisplayFrame_BarDebuffPassiveTip			= "Set the timer bar colors for passive debuff auras with no set duration. The left color choice determines the start of the bar (the furthest side from the icon) and the second the finish of the bar (nearest the icon)."
L.DisplayFrame_BarToggled					= "Color: Toggled Auras"
L.DisplayFrame_BarToggledTip				= "Set the timer bar colors for toggled auras with no set duration. The left color choice determines the start of the bar (the furthest side from the icon) and the second the finish of the bar (nearest the icon)."


-- ------------------------
-- SETTINGS: PROFILES
-- ------------------------
L.Profile_Desc								= "Setting profiles can be managed here including the option to enable an account wide profile that will apply the same settings to ALL character's on this account. Due to the permanency of these options, management must first be enabled using the checkbox at the bottom of the panel."
L.Profile_UseGlobal							= "Use Account Wide Profile"
L.Profile_AccountWide						="Account Wide"
L.Profile_UseGlobalWarn						= "Switching between local and global profiles will reload the interface."
L.Profile_Copy								= "Select A Profile To Copy"
L.Profile_CopyTip							= "Select a profile to copy its settings to the currently active profile. The active profile will be for either the logged in character or the account wide profile if enabled. The existing profile settings will be permanently overwritten.\n\nThis cannot be undone!"
L.Profile_CopyButton1						= "Copy Entire Profile"
L.Profile_CopyButton1Tip					= "Copy the entire selected profile, including any prominent aura configurations. See below option for alternative."
L.Profile_CopyButton2						= "Copy Base Profile"
L.Profile_CopyButton2Tip					= "Copy everything from the selected profile EXCEPT prominent aura configurations. Useful for setting up a base display configuration without copying class-specific aura setup."
L.Profile_CopyButtonWarn					= "Copying a profile will reload the interface."
L.Profile_CopyCannotCopy					= "Unable to copy selected profile. Please try again or select another profile."
L.Profile_Delete							= "Select A Profile To Delete"
L.Profile_DeleteTip							= "Select a profile to delete its settings from the database. If that character is logged in later, and you are not using the account wide profile, new default settings will be created.\n\nDeleting a profile is permanent!"
L.Profile_DeleteButton						= "Delete Profile"
L.Profile_Guard								= "Enable Profile Management"


-- ------------------------
-- Alt Names
-- ------------------------
L.YoungWasp									= "Young Wasp"
L.MolagKenaHit1								= " 1st Hit"
L.VolatileAOE								= "Volatile Familiar Ability"


function Srendarr:GetLocale() -- default locale, will be the return unless overwritten
	return L
end
